# coding: utf-8

import json

""" Различные сообщения, которые посылаются от сервера агенту
"""

def auth_request():
    message = {'command': 'auth_request'}
    return json.dumps(message)

def auth_response(allow):
    if allow:  message = {'command': 'auth_response', 'response': 'allow'}
    else:      message = {'command': 'auth_response', 'response': 'deny'}
    return json.dumps(message)

def status_request():
    message = {'command': 'status_request'}
    return json.dumps(message)

def installation_request(recipe, setup_tools, config):
    """ Запрос на установку рецепта, отсылается сам рецепт, 
        setup_tools и служебная информация
    """
    message = {'command': 'installation_request',
               'config': config,
               'recipe': recipe,
               'setup_tools': setup_tools}
    return json.dumps(message)

def stop_installation_request():
    message = {'command': 'stop_installation_request'}
    return json.dumps(message)

def exit_request():
    message = {'command': 'exit_request'}
    return json.dumps(message)