# -*- coding: utf-8 -*-

from django.conf.urls.defaults import patterns, include, url
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # пользователи и авторизация
    url(r'^$', 'views.home_page'),
    url(r'^accounts/login(.*)$', 'views.login_user_page'),
    url(r'^auth$', 'views.login_user_page'),
    url(r'^logout$', 'views.logout_user_page'),
    
    #рецепты
    url(r'^recipes$', 'views.recipes_page'),
    url(r'^recipes/add_recipe$', 'views.add_recipe_page'),
    url(r'^recipes/(.*)/(.*)$', 'views.recipe_edit_page'),
    
    #страница с сервером и инсталляция
    url(r'^servers/(.*)$', 'views.servers_page'),
    url(r'^installation/(.*)/(.*)/(.*)$', 'views.installation_page'),
    url(r'^multi_installing$', 'views.multi_installing_page'),
    
    #джанго админ
    url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
    url(r'^admin/', include(admin.site.urls)),
)